Subject: bug#57604: [ef]grep usage -> POSIXLY_CORRECT?

From: Gary Johnson <[email-masked]>
Date: Wed, 7 Sep 2022 05:47:53 -0700

On 2022-09-07, Simon Josefsson via Bug reports for GNU grep wrote:

> On the other hand, it seems your main problem here is the warning: and I
> agree that is annoying and should be fixed.  There doesn't seem to be
> any way to disable it now?  It would be nice to fix that.
> 
> I think the simplest way to fix that is to drop the tools rather than to
> issue warnings: on some current systems (I think it was Alpine), there
> is no egrep and fgrep any more, and dealing with non-existing tools
> (discover the error, then use egrep -E or add a personal alias for
> interactive use) is easier than dealing with annoying warnings that
> cannot be disabled.

The warnings I see don't come from anything I've written; they've
been coming from third-party tools.  I'd rather not modify those.

Disabling the warnings is fairly simple.  Do one of the following.

1.  Edit the egrep and fgrep scripts to remove the warnings.
2.  Copy the egrep and fgrep scripts to ~/bin (someplace in PATH
    earlier than where the grep installation put them) and edit
    those copies to remove the warnings.

Regards,
Gary